#ifndef ELEMENT
#define ELEMENT

typedef struct{
    int code;
    char title[31];
    char type;
    int copiesAvailable;
    float voteAverage;
} Videogioco;


typedef enum {FALSE, TRUE} Boolean;

#if 1
typedef Videogioco Element;
#endif


// OPERAZIONI
Element getElement(void);
void printElement(Element);

int compare(Element e1, Element e2); // <0 , 0 , >0
void swap(Element *e1, Element *e2);
void assign(Element *lvalue, Element rvalue);

// OPERAZIONI LISTE
Boolean isEqual(Element e1, Element e2);
Boolean isLess(Element e1, Element e2);

#endif

