#ifndef LIST_H
#define LIST_H
#include "element.h"

typedef struct list_element { 
	Element value;
	struct list_element *next; 
} node;

typedef node *list;

// PRIMITIVE
list emptyList(void);
Boolean empty(list);
Element head(list);
list tail(list);
list cons(Element, list);

// NON PRIMITIVE
void showList(list);
Boolean member(Element, list);
list delet(Element el, list l);
list copy(list l);
list reverse(list l);
list append(list l1, list l2);
int length(list l);

// Insord
list insord(Element el, list l);

// Mergelist
list mergeList(list l1, list l2);

// CREARE LISTA DA INPUT E ORDINARLA..
list inputordlist(int n);

// DEALLOCARE
void dealloc(list l);


#endif